unit fServerForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls,
  uROClient, uROPoweredByRemObjectsButton, uROClientIntf, uROServer,
  uROBinMessage, uROIndyHTTPServer, uROIndyTCPServer, JvComponent,
  JvTrayIcon, XPMan, ActnList, Menus, JvGIF, ExtCtrls, JvExControls,
  JvGradient, JvComponentBase;

type
  TServerForm = class(TForm)
    Memo1: TMemo;
    PopupMenu1: TPopupMenu;
    ActionList: TActionList;
    actCerrar: TAction;
    Cerrar1: TMenuItem;
    N1: TMenuItem;
    actRestart: TAction;
    actOpciones: TAction;
    actConexiones: TAction;
    Listadeconexiones1: TMenuItem;
    Opciones1: TMenuItem;
    Refrescarconexin1: TMenuItem;
    N2: TMenuItem;
    XPManifest1: TXPManifest;
    JvTrayIcon: TJvTrayIcon;
    Panel1: TPanel;
    Image1: TImage;
    JvGradient1: TJvGradient;
    procedure actCerrarExecute(Sender: TObject);
    procedure actRestartExecute(Sender: TObject);
    procedure actOpcionesExecute(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ServerForm: TServerForm;

implementation

uses
  uDataModuleServer, uConfiguracion;


{$R *.dfm}

procedure TServerForm.actCerrarExecute(Sender: TObject);
begin
  Close;
end;

procedure TServerForm.actRestartExecute(Sender: TObject);
begin
  dmServer.Restart;
end;

procedure TServerForm.actOpcionesExecute(Sender: TObject);
begin
  dmServer.Configurar;
end;

procedure TServerForm.FormCreate(Sender: TObject);
begin
  JvTrayIcon.HideApplication;
  JvTrayIcon.Active := True;
end;

procedure TServerForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  JvTrayIcon.Active := False;
end;

end.
